To stop the reverse engineering of script applications, many developers encode their program code with tools like ionCube PHP Encoder and make it human unreadable. The latter is valid for paid apps in particular, as anyone would be able to use and modify the unencrypted code without paying the necessary license fees. When you purchase web software encrypted with ionCube PHP Encoder, you will be able to use it without a problem as long as an instrument called ionCube Loader is a part of the hosting server. This loader makes it possible to run encrypted files and you will often notice it on the list of prerequisites for a particular script application to be installed. As the encrypted files are already precompiled, they're usually executed more rapidly and this can increase the overall speed of your site.
IonCube in Web Hosting
IonCube Loader comes with all the web hosting plans which we supply, so if you need it to install and run some script application that needs it, you can activate it with a single click inside the Advanced section of your Hepsia Control Panel. Because you're able to switch the PHP version that's active for your account in the same section, you need to activate the instrument for each new version that you set. If you're more experienced, you are able to use a php.ini file in a domain or subdomain folder and set the PHP version as well as the status of ionCube Loader for that particular website only, without affecting the whole account. This way you will be able to operate both new and older script apps for multiple sites inside the same account - a thing that you cannot do with a lot of other website hosting suppliers available on the market.
IonCube in Semi-dedicated Hosting
In case you purchase a semi-dedicated server package from us, you can employ any kind of script-driven app which needs ionCube Loader due to the fact that the tool is available on all servers which are a part of our cutting-edge cloud web hosting platform. We also support several versions of PHP, and if you switch from PHP 4 to 5.2 or 5.3, for example, you can enable ionCube for that particular version with only a click from your Hepsia Control Panel. Our platform will remember your choice, so if you move back to the earlier version of PHP, the software instrument will already be active. For more tech-savvy users, we also provide the option to select the PHP version and whether ionCube will be active or not for a specific domain without altering the settings for the entire website hosting account. This can be done by putting a php.ini file within a domain folder with a few lines of program code.